For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all persons
      • POSTCreate a person
      • GETGet a person
      • DELDelete a person
      • PATCHUpdate a person
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity persons

Delete a person

DELETE
/persons/:person_id
DELETE
/v1/persons/:person_id
$curl -X DELETE https://api.sandbox.monite.com/v1/persons/person_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Update a person

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

person_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

401
Delete Persons ID Request Unauthorized Error
404
Delete Persons ID Request Not Found Error
409
Delete Persons ID Request Conflict Error
422
Delete Persons ID Request Unprocessable Entity Error
429
Delete Persons ID Request Too Many Requests Error